<?php
/**
 * Default Values.
 *
 * @package NewsFor
 */

if (!function_exists('newsfor_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function newsfor_get_default_theme_options(){

        $newsfor_defaults = array();

        $newsfor_defaults['twp_newsfor_home_sections_2'] = array(
            array(
                'home_section_type' => 'default-banner-area',
                'section_ed' => 'yes',
                'section_post_cat_1' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'section_category_3' => '',
                'section_category_7' => '',
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'home_section_title_1' => esc_html__('Block Title One','newsfor'),
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category_tile_slider' => '',
                'section_category' => '',
                'ed_arrows_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'video-slider',
                'section_ed' => 'no',
                'home_section_title_video' => esc_html__('Video News Block','newsfor'),
                'section_post_cat_1' => '',
                'section_post_number' => 5,
            ),
            array(
                'home_section_type' => 'must-read',
                'section_ed' => 'yes',
                'home_section_must_read' => esc_html__('Must Read','newsfor'),
                'section_category_5' => '',
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'section_ed' => 'yes',
                'home_section_title' => esc_html__('You May Also Like','newsfor'),
                'section_category' => '',
            ),
        );

        // header section
        $newsfor_defaults['logo_width_range']      = 300;
        $newsfor_defaults['site_title_font_size']  = 52;
        $newsfor_defaults['site_title_add_layout']  = 'default-layout';

        // Options.
        $newsfor_defaults['global_sidebar_layout'] = 'left-sidebar';
        $newsfor_defaults['newsfor_archive_layout'] = 'default';
        $newsfor_defaults['newsfor_pagination_layout'] = 'load-more';
        $newsfor_defaults['footer_column_layout'] = 3;
        $newsfor_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'newsfor');
        $newsfor_defaults['ed_header_subscription_news'] = 0;
        $newsfor_defaults['ed_header_subscription_button_text'] = esc_html__('Subscribe Now', 'newsfor');
        $newsfor_defaults['ed_header_subscription_posts_title'] = esc_html__('Join Our Membership', 'newsfor');
        $newsfor_defaults['ed_header_ad'] = 0;
        $newsfor_defaults['ed_header_type'] = 'twp-img-boxed-header';
        $newsfor_defaults['addvertisement_section_title'] = esc_html__('Advertisement Section', 'newsfor');

        $newsfor_defaults['ed_header_ticker_posts'] = 1;
        $newsfor_defaults['ticker_date_format'] = 'l, F jS, Y';
        $newsfor_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'newsfor');
        $newsfor_defaults['ed_image_content_inverse'] = 0;
        $newsfor_defaults['ed_related_post'] = 1;
        $newsfor_defaults['related_post_title'] = esc_html__('More Stories', 'newsfor');
        $newsfor_defaults['twp_navigation_type'] = 'norma-navigation';
        $newsfor_defaults['newsfor_single_post_layout'] = 'layout-1';
        $newsfor_defaults['ed_post_thumbnail'] = 0;
        $newsfor_defaults['ed_post_date'] = 1;
        $newsfor_defaults['ed_post_category'] = 1;
        $newsfor_defaults['ed_header_overlay'] = 0;
        $newsfor_defaults['ed_floating_next_previous_nav'] = 0;       
        $newsfor_defaults['newsfor_header_bg_size'] = 2;
        $newsfor_defaults['ed_header_bg_fixed'] = 1;
        $newsfor_defaults['ed_header_bg_overlay'] = 1;
        $newsfor_defaults['post_date_format'] = 'default';
        $newsfor_defaults['ed_fullwidth_layout'] = 'default';
        $newsfor_defaults['ed_post_views'] = 0;
        $newsfor_defaults['ed_scroll_top_button'] = 1;

        $newsfor_defaults['ed_tags_wide_layout']            = 1;
        $newsfor_defaults['ed_post_tags']                   = 1;
        $newsfor_defaults['ed_post_read_later']             = 1;
        $newsfor_defaults['ed_ticker_bar_social_nav']       = 1;

        // Pass through filter.
        $newsfor_defaults = apply_filters('newsfor_filter_default_theme_options', $newsfor_defaults);

        return $newsfor_defaults;

    }

endif;
