<?php
/**
* Sections Repeater Options.
*
* @package NewsFor
*/

$newsfor_post_category_list = newsfor_post_category_list();
$newsfor_defaults = newsfor_get_default_theme_options();
$home_sections = array(
        'default-banner-area' => esc_html__('Default Banner','newsfor'),
        'banner-blocks-1' => esc_html__('Featured & Tab Block','newsfor'),
        'video-slider' => esc_html__('Video Slider','newsfor'),
        'tiles-blocks' => esc_html__('Slider & Tiles Block','newsfor'),
        'must-read' => esc_html__('Must Read','newsfor'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','newsfor'),
        'advertise-blocks' => esc_html__('Advertise Block','newsfor'),
        'home-widget-area' => esc_html__('Widgets Area Block','newsfor'),
        'you-may-like-blocks' => esc_html__('You May Like Block','newsfor'),
    );

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Sections', 'newsfor' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_newsfor_home_sections_2', array(
    'sanitize_callback' => 'newsfor_sanitize_repeater',
    'default' => json_encode( $newsfor_defaults['twp_newsfor_home_sections_2'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new NewsFor_Repeater_Controler( $wp_customize, 'twp_newsfor_home_sections_2', 
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_newsfor_home_sections_2',
        'newsfor_box_label' => esc_html__('New Section','newsfor'),
        'newsfor_box_add_control' => esc_html__('Add New Section','newsfor'),
        'newsfor_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'newsfor' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'newsfor' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_column_1' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Column 1', 'newsfor' ),
                 'class'       => 'home-repeater-fields-hs default-banner-area-fields'
             ),
            'section_post_cat_1' => array(
              'type'        => 'select',
              'label'       => esc_html__( 'Slider Post Category', 'newsfor' ),
              'options'     => $newsfor_post_category_list,
              'class'       => 'home-repeater-fields-hs video-slider-fields default-banner-area-fields'
            ),

            'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Area Title', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields '
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),
            'home_section_title_video' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs video-slider-fields'
            ),
            'section_category_tile_slider' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Slider Category', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields you-may-like-blocks-fields'
            ),

            'section_category_6' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs must-read-fields'
            ),

             'home_section_must_read' => array(
                 'type'        => 'text',
                 'label'       => esc_html__( 'Section Area Title', 'newsfor' ),
                 'class'       => 'home-repeater-fields-hs must-read-fields'
             ),

            'home_section_column_3' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Column 2', 'newsfor' ),
                 'class'       => 'home-repeater-fields-hs default-banner-area-fields'
             ),

            'section_category_7' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Fixed Post Category', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs default-banner-area-fields'
            ),

            'section_post_slide_cat' => array(
              'type'        => 'select',
              'label'       => esc_html__( 'Select Category Vertical List - 1', 'newsfor' ),
              'options'     => $newsfor_post_category_list,
              'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),

            'home_section_column_4' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Column Seperator', 'newsfor' ),
                 'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
             ),

            'section_post_slide_cat_2' => array(
              'type'        => 'select',
              'label'       => esc_html__( 'Select Category Vertical List - 2', 'newsfor' ),
              'options'     => $newsfor_post_category_list,
              'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),

            'section_post_number' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'newsfor' ),
                'options'     => array( 
                    '5' => 5,
                    '6' => 6,
                    '7' => 7,
                    '8' => 8,
                ),
              'class'       => 'home-repeater-fields-hs video-slider-fields'
            ),
            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'newsfor' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
            'home_section_column_5' => array(
                 'type'        => 'seperator',
                 'seperator_text'       => esc_html__( 'Tab Section Seperator', 'newsfor' ),
                 'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
             ),

            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'newsfor' ),
                'options'     => $newsfor_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'newsfor' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'newsfor_notiece_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFor_Info_Notiece_Control( 
        $wp_customize,
        'newsfor_notiece_info',
        array(
            'settings' => 'newsfor_notiece_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'newsfor' ),
        )
    )
);

$wp_customize->add_setting(
    'newsfor_premium_notiece',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFor_Premium_Notiece_Control( 
        $wp_customize,
        'newsfor_premium_notiece',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'newsfor' ),
            'settings' => 'newsfor_premium_notiece',
            'section'       => 'home_sections_repeater',
        )
    )
);