<?php

/**
 * Default Banner
 *
 * @package NewsFor
 */
if (!function_exists('newsfor_horizontal_vertical_slider')) :
    function newsfor_horizontal_vertical_slider($newsfor_home_section, $repeat_times)
    {
        $section_category_7 = esc_html(isset($newsfor_home_section->section_category_7) ? $newsfor_home_section->section_category_7 : '');
        $section_post_cat_1 = esc_html(isset($newsfor_home_section->section_post_cat_1) ? $newsfor_home_section->section_post_cat_1 : '');
        $slider_arrows = esc_html(isset($newsfor_home_section->ed_arrows_carousel) ? $newsfor_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($newsfor_home_section->ed_dots_carousel) ? $newsfor_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($newsfor_home_section->ed_autoplay_carousel) ? $newsfor_home_section->ed_autoplay_carousel : '');
        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }
        $banner_query_2 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 2, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_7)));
        $banner_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_cat_1))); ?>
        <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-default-banner">
            <div class="column-row">
                <div class="column column-8 column-sm-12 column-xs-12 mb-xxs-16">
                    <div class="theme-slider-container">
                        <?php 
                        $banner_pagenav = '';
                        if ($banner_query_1->have_posts()) : ?>
                            <div class="slider-content-container" data-slick='{"rtl": <?php echo esc_attr($rtl); ?>}'>
                                <?php
                                while ($banner_query_1->have_posts()) {
                                    $banner_query_1->the_post(); ?>
                                    <?php
                                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                    $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                    <div class="slider-item">
                                        <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                            <div class="data-bg data-bg-big" data-background="<?php echo esc_url($featured_image); ?>">
                                                <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                            </div>
                                        </article>
                                    </div>
                                    <?php
                                    $user_id = get_the_author_meta( 'ID' );
                                    $banner_pagenav .= '<div class="pagination-content-item">';
                                    $banner_pagenav .= '<h3 class="entry-title entry-title-large line-clamp-3">';
                                    $banner_pagenav .= '<a href="'.get_the_permalink().'" tabindex="0" rel="bookmark" title="'.get_the_title().'">'.get_the_title().'</a>';
                                    $banner_pagenav .= '</h3>';
                                    $banner_pagenav .= '<p class = "line-clamp-3 mb-16">'.get_the_excerpt().'</p>';
                                    $banner_pagenav .= '<div class="entry-meta mb-16"><div class="entry-meta-inline">';
                                    $banner_pagenav .= '<span class="author vcard"><a class="url fn n" href="'.get_the_author_meta( 'url', $user_id ).'" tabindex="0">'.get_the_author_meta( 'display_name', $user_id ).'</a></span>';
                                    $banner_pagenav .= '<span class="posted-on">'.get_the_date().'<span>';
                                    $banner_pagenav .= '</div></div>';
                                    $banner_pagenav .= '</div>';
                                } ?>
                            </div>
                        <?php
                            wp_reset_postdata();
                        endif; ?>

                        <div class="slider-content-pagination">
                            <div class="pagination-content-container" data-slick='{"rtl": <?php echo esc_attr($rtl); ?>}'>
                                <?php echo $banner_pagenav; ?>
                            </div>

                            <div class="pagination-content-button">
                                <button class="slide-prev theme-primary-btn">
                                    <?php newsfor_theme_svg('arrow-left'); ?>
                                </button>

                                <button class="slide-next theme-primary-btn">
                                    <?php newsfor_theme_svg('arrow-right'); ?>
                                </button>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="column column-4 column-sm-12 column-xs-12">
                    <div class="default-banner-innerContent">
                        <?php if ($banner_query_2->have_posts()) : ?>
                            <?php
                            while ($banner_query_2->have_posts()) {
                                $banner_query_2->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('theme-news-article mb-32'); ?>>
                                    <div class="data-bg data-bg-small data-bg-overlay" data-background="<?php echo esc_url($featured_image); ?>">
                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                    </div>

                                    <div class="article-content has-article-content-overlay article-content-overlay">
                                        <div class="theme-article-header">
                                            <h3 class="entry-title entry-title-small">
                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h3>
                                            <div class="entry-meta">
                                                <?php newsfor_posted_by(); ?>
                                                <?php newsfor_post_view_count(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </article>
                            <?php 
                            } ?>
                        <?php wp_reset_postdata();
                        endif; ?>
                    </div>
                </div>
            </div>
        </div>
<?php }
endif;
