<?php

/**
 * Must Read
 *
 * @package NewsFor
 */
if (!function_exists('newsfor_must_read')) :
    function newsfor_must_read($newsfor_home_section, $repeat_times)
    {
        $section_category_6 = esc_html(isset($newsfor_home_section->section_category_6) ? $newsfor_home_section->section_category_6 : '');
        $home_section_must_read = esc_html(isset($newsfor_home_section->home_section_must_read) ? $newsfor_home_section->home_section_must_read : '');

        $must_read_section = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_6)));
        if ($must_read_section->have_posts()) :
?>
            <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-must-read">
                <?php if ($home_section_must_read) { ?>
                    <header class="theme-block-header">
                        <div class="theme-block-title">
                            <?php echo esc_html($home_section_must_read); ?>
                        </div>
                    </header>
                <?php } ?>

                <div class="theme-panel-body">
                    <?php
                    while ($must_read_section->have_posts()) {
                        $must_read_section->the_post();
                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                    ?>
                        <article class="theme-news-article mb-32">
                            <div class="theme-article-image">
                                <div class="data-bg data-bg-medium" data-background='<?php echo esc_url($featured_image); ?>'></div>
                            </div>

                            <div class="article-content">
                                <h3 class="entry-title entry-title-medium">
                                    <a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a>
                                </h3>
                                <?php
                                the_excerpt();
                                ?>

                                <div class="entry-meta">
                                    <div class="entry-meta-inline">
                                        <?php newsfor_posted_by(); ?>
                                        <?php newsfor_post_view_count(); ?>
                                    </div>
                                </div>
                            </div>
                        </article>
                    <?php } ?>
                </div>
            </div>

<?php wp_reset_postdata();
        endif;
    }
endif; ?>