<?php

/**
 * You May Like Blocks
 *
 * @package NewsFor
 */
if (!function_exists('newsfor_you_may_like_block_section')) :
    function newsfor_you_may_like_block_section($newsfor_home_section, $repeat_times)
    {

        $section_category = esc_html(isset($newsfor_home_section->section_category) ? $newsfor_home_section->section_category : '');
        $home_section_title = isset($newsfor_home_section->home_section_title) ? $newsfor_home_section->home_section_title : '';
        $you_may_like_post_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '12', 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category)));
        if ($you_may_like_post_query->have_posts()) : ?>

            <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-block-recommended">

                            <?php if ($home_section_title || $section_category) { ?>
                                <header class="theme-block-header">
                                    <div class="theme-block-title">
                                        <?php echo esc_html($home_section_title); ?>
                                    </div>
                                </header>
                            <?php } ?>

                            <div class="theme-panel-body">
                                <div class="column-row">
                                    <?php $i = 0; ?>
                                    <?php if ($you_may_like_post_query->have_posts()) {
                                        while ($you_may_like_post_query->have_posts()) {
                                            $you_may_like_post_query->the_post();
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';
                                    ?>
                                    <?php if ($i == 0 || $i == 3 || $i == 6 || $i==9) {?>
                                        <div class="column column-3 column-lg-6 column-xxs-12 mb-24">
                                    <?php } ?>
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article mb-16'); ?>>
                                                <div class="theme-article-image">
                                                    <div class="data-bg data-bg-xsmall" data-background="<?php echo esc_url($featured_image); ?>">
                                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                    </div>
                                                </div>

                                                <div class="article-content">

                                                    <h3 class="entry-title entry-title-small line-clamp-2">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                    </h3>

                                                    <div class="entry-meta">
                                                        <?php newsfor_posted_by(); ?>
                                                        <?php newsfor_post_view_count(); ?>
                                                    </div>
                                                </div>
                                            </article>
                                    <?php $i++; if ($i == 3 || $i == 6  || $i == 9 || $i == 12) { ?>
                                            </div>
                                        <?php } ?>
                                    <?php
                                        }
                                    } ?>
                                </div>
                            </div>

                <?php if ($section_category) {

                    $catObj = get_category_by_slug($section_category);
                    $cat_link = get_category_link($catObj->term_id); ?>

                    <div class="theme-footer-link theme-block-footer">
                        <div class="wrapper">
                            <div class="column-row">
                                <div class="column column-12 column-sm-12">
                                    <div class="theme-footer-panel block-footer-panel">
                                        <hr>
                                        <a href="<?php echo esc_url($cat_link); ?>" class="theme-viewmore-link">
                                            <?php echo esc_html_e('View All', 'newsfor'); ?>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>

<?php
            wp_reset_postdata();
        endif;
    }
endif;
