<?php

/**
 * Header Layout 2
 *
 * @package NewsFor
 */

use newsfor\NewsFor_Walkernav;

$newsfor_default = newsfor_get_default_theme_options();
$newsfor_header_bg_size = get_theme_mod('newsfor_header_bg_size', $newsfor_default['newsfor_header_bg_size']);
$ed_header_bg_fixed = get_theme_mod('ed_header_bg_fixed', $newsfor_default['ed_header_bg_fixed']);
$site_title_add_layout = get_theme_mod('site_title_add_layout', $newsfor_default['site_title_add_layout']);
$ed_header_bg_overlay = get_theme_mod('ed_header_bg_overlay', $newsfor_default['ed_header_bg_overlay']);
$newsfor_header_bg_size = get_theme_mod('newsfor_header_bg_size', $newsfor_default['newsfor_header_bg_size']);
$ed_header_bg_fixed = get_theme_mod('ed_header_bg_fixed', $newsfor_default['ed_header_bg_fixed']);
?>


<header id="site-header" class="theme-header" role="banner">

    <?php
    if (has_header_image()) {
        $header_bg_fixed = ($ed_header_bg_fixed) ? 'data-bg-fixed' : '';
        $header_bg_size = esc_attr($newsfor_header_bg_size);
        $header_bg_overlay = ($ed_header_bg_overlay) ? '<div class="data-bg-overlay"></div>' : '';
        echo '<div id="theme-header-bg" class="data-bg '. $header_bg_fixed .' header-bg-'. $header_bg_size .'" data-background="'. esc_url(get_header_image()) .'">';
        echo $header_bg_overlay;
        echo '</div>';
    }
    ?>

    <?php
    $newsfor_default = newsfor_get_default_theme_options();
    $ed_ticker_bar_social_nav = get_theme_mod('ed_ticker_bar_social_nav', $newsfor_default['ed_ticker_bar_social_nav']);
    $ed_header_subscription_news = get_theme_mod('ed_header_subscription_news', $newsfor_default['ed_header_subscription_news']);
    $ed_header_subscription_button_text = get_theme_mod('ed_header_subscription_button_text', $newsfor_default['ed_header_subscription_button_text']);
    ?>

    <div class="header-topbar">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-center">
                <div class="header-titles">
                    <?php
                    newsfor_site_logo();
                    newsfor_site_description();
                    ?>
                </div>
            </div>

        </div>
    </div>

    <div class="header-social-links">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">

                <div class="data-time-panel">
                    <div class="theme-navextras-item theme-navextras-date">
                        <span class="theme-navextras-icon">
                            <?php newsfor_theme_svg('calendar'); ?>
                        </span>
                        <span class="theme-navextras-label"><?php echo esc_html(date('l, F jS, Y')); ?></span>
                    </div>
                    <div class="theme-navextras-item theme-navextras-clock">
                        <span class="theme-navextras-icon">
                            <?php newsfor_theme_svg('clock'); ?>
                        </span>
                        <span class="theme-navextras-label"><span id="twp-time-clock"></span></span>
                    </div>
                </div>
            </div>

            <div class="header-item header-item-right">

                <?php
                if (has_nav_menu('newsfor-social-menu') && $ed_ticker_bar_social_nav) { ?>
                    <div class="topbar-social-navigation">
                        <?php
                        wp_nav_menu(
                            array(
                                'theme_location' => 'newsfor-social-menu',
                                'link_before' => '<span class="screen-reader-text">',
                                'link_after' => '</span>',
                                'container' => 'div',
                                'container_class' => 'newsfor-social-menu',
                                'depth' => 1,
                            )
                        ); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>

    <div id="theme-navigation" class="header-navbar">
        <div class="wrapper header-wrapper <?php if (!is_active_sidebar('newsfor-offcanvas-widget')) {
                                                echo 'no-item-left';
                                            } ?>">

            <div class="header-item header-item-left">

                <?php if (is_active_sidebar('newsfor-offcanvas-widget')) : ?>
                    <div id="widgets-nav" class="icon-sidr">
                        <button id="hamburger-one" class="navbar-control">
                            <span class="navbar-control-trigger" tabindex="-1">
                                <span class="hamburger-wrapper">
                                    <span class="hamburger-inner"></span>
                                </span>
                            </span>
                        </button>
                    </div>
                <?php endif; ?>

                <div class="site-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'newsfor'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if (has_nav_menu('newsfor-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'newsfor-primary-menu',
                                        'walker' => new newsfor\NewsFor_Walkernav(),
                                    )
                                );
                            } else {
                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'walker' => new NewsFor_Walker_Page(),
                                    )
                                );
                            } ?>
                        </ul>
                    </nav>
                </div>

                <div class="header-titles">
                    <?php
                    newsfor_site_logo();
                    newsfor_site_description();
                    ?>
                </div>
            </div>

            <div class="header-item header-item-right">
                <div class="navbar-controls hide-no-js">
                <?php main_navigation_extras(); ?>

                <?php if ($ed_header_subscription_news) { ?>
                    <button type="button" class="navbar-control navbar-control-subscription theme-primary-btn">
                        <span class="navbar-control-trigger" tabindex="-1">
                             <span class="header-topbar-icon"><?php newsfor_theme_svg('envelope-heart-fill'); ?></span>
                             <span class="header-topbar-label"><?php echo esc_html($ed_header_subscription_button_text); ?></span>
                        </span>
                    </button>
                <?php } ?>

                <?php newsfor_category_pin_posts_link(); ?>

                </div>
            </div>
        </div>
    </div>
</header>